%define		PYVER		2.6
%define		__python	python%{PYVER}
%define		PVER		%(echo %{PYVER} | awk -F. '{print$1$2}')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Distribution:	CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		scons
Version:	2.0.1
Release:	1
Provides:	SCons
BuildArch: 	i686
License:	GNU/GPL
URL:		http://www.scons.org/
Group:		Development/Tools
Source0:	http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
Summary:	SCons is an Open Source software construction tool.
Obsoletes:	%{name}-man

Requires:	python26 python26-devel

BuildRequires:  python26-devel perl


%description
SCons is an Open Source software construction tool - that is, a build
tool; an improved substitute for the classic Make utility; a better
way to build software. SCons is based on the design which won the
Software Carpentry build tool design competition in August 2000.

SCons "configuration files" are Python scripts, eliminating the need
to learn a new build tool syntax. SCons maintains a global view of all
dependencies in a tree, and can scan source (or other) files for
implicit dependencies, such as files specified on #include lines.
SCons uses MD5 signatures to rebuild only when the contents of a file
have really changed, not just when the timestamp has been touched.
SCons supports side-by-side variant builds, and is easily extended
with user-defined Builder and/or Scanner objects.

%post
ldconfig

%postun
ldconfig

%prep
%setup -q
FIX=$(find -type f -name "*" -exec grep -I -l -e "^#!/usr/bin/python" -e "^#!/usr/bin/env python" -e "^#! /usr/bin/python" -e "^#! /usr/bin/env python" "{}" \; )
for i in $FIX; do
    sed -i "s,^#!/usr/bin/python,#!/usr/bin/python%{PYVER}," $i
    sed -i "s,^#! /usr/bin/python,#!/usr/bin/python%{PYVER}," $i
    sed -i "s,^#!/usr/bin/env python,#!/usr/bin/env python%{PYVER}," $i
    sed -i "s,^#! /usr/bin/env python,#!/usr/bin/env python%{PYVER}," $i    
done

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES --install-lib=%_libdir/scons --install-scripts=%_bindir
mkdir -p $RPM_BUILD_ROOT%_mandir
mv $RPM_BUILD_ROOT%_prefix/man/* $RPM_BUILD_ROOT%_mandir

%files
%defattr(-,root,root)
%{_bindir}/scons
%{_bindir}/scons-2.0.1
%{_bindir}/sconsign
%{_bindir}/sconsign-2.0.1
%{_bindir}/scons-time
%{_bindir}/scons-time-2.0.1
%{_libdir}/scons
%{_mandir}/man1/scons.1.gz
%{_mandir}/man1/sconsign.1.gz
%{_mandir}/man1/scons-time.1.gz

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Aug 21 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.0.1-1
- Version update
* Wed Nov 18 2009 Christian Metzen <metzench@ccux-linux.de> 1.2.0-2
- python 2.6 rebuild
* Tue Aug 04 2009 Christian Wasem <wasem@ccux-linux.de> 1.2.0-1
- Version update
* Thu Aug 14 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.0.0-1
- Version update
* Mon Jun 23 2008 Christian Wasem <wasem@ccux-linux.de> 0.98.5-1
- Version update
* Wed Apr 30 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.98.3-1
- Version update
* Thu Apr 24 2008 Christian Metzen <metzench@ccux-linux.de> 0.98.2-2
- obsolete man package
* Mon Apr 21 2008 Christian Wasem <wasem@ccux-linux.de> 0.98.2-1
- Version update
* Tue Apr 01 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.98.0-1
- Version update
* Wed Oct 03 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.97-1
- Version update
* Fri Mar 30 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.96.95-1
- Version update
* Sun Jan 14 2007 Simon Schmeisser <wrt@ccux-linux.de> 0.96.94-1
- Version update
* Sat Dec 30 2006 Stefan Gottwald <gotti@ccux-linux.de> 0.96.93-1
- Version update
* Wed Sep 20 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.96.92-2
- rebuilt against python 2.5
* Sun May 28 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.96.92-1
- Version update
* Sat Oct 15 2005 Christian Wasem <wasem@ccux-linux.de> 0.96.91-1
- Update to Version 0.96.91, removed Obsolete-Tag,
- added python 2.4 support
* Thu Jul 28 2005 Karsten Brockmann <brockmka@rz.fh-augsburg.de> 0.96.90-1
- Version Update
* Wed Apr 27 2005 Christian Wasem <wasem@ccux-linux.de> 0.96.1-1
- Initial Release  
